Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.ui.emailcontrol
Class EmailControlRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VCONTROL>
              org.eclipse.emf.ecp.view.spi.core.swt.AbstractControlSWTRenderer<VControl>
                  org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
                      org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTControlSWTRenderer
                          org.eclipse.emf.ecp.view.spi.core.swt.renderer.TextControlSWTRenderer
                              org.eclipse.emf.ecp.makeithappen.ui.emailcontrol.EmailControlRenderer

    public class EmailControlRenderer

extends TextControlSWTRenderer

A renderer to render an e-mail address.

Author:
  Lucas

Constructor Summary
`EmailControlRenderer(VControl vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLabelProvider emfFormsLabelProvider, VTViewTemplateProvider vtViewTemplateProvider, EMFFormsEditSupport emfFormsEditSupport)` Default constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailControlRenderer

    @Inject
    public EmailControlRenderer(VControl vElement,
                                       ViewModelContext viewContext,
                                       ReportService reportService,
                                       EMFFormsDatabinding emfFormsDatabinding,
                                       EMFFormsLabelProvider emfFormsLabelProvider,
                                       VTViewTemplateProvider vtViewTemplateProvider,
                                       EMFFormsEditSupport emfFormsEditSupport)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - The `ReportService`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `emfFormsLabelProvider` - The `EMFFormsLabelProvider`
    `vtViewTemplateProvider` - The `VTViewTemplateProvider`
    `emfFormsEditSupport` - The `EMFFormsEditSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.